Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066727 - [abrt] gjs: g_type_check_instance_cast(): gjs-console killed by SIGSEGV
Summary: [abrt] gjs: g_type_check_instance_cast(): gjs-console killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gjs
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:248d4b30ee5201db0546cd69f8a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-19 00:28 UTC by Diniyev Aqil
Modified: 2016-07-19 11:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:01:41 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-19 00:29 UTC, Diniyev Aqil
no flags Details
File: cgroup (deleted)
2014-02-19 00:29 UTC, Diniyev Aqil
no flags Details
File: core_backtrace (deleted)
2014-02-19 00:29 UTC, Diniyev Aqil
no flags Details
File: dso_list (deleted)
2014-02-19 00:29 UTC, Diniyev Aqil
no flags Details
File: environ (deleted)
2014-02-19 00:29 UTC, Diniyev Aqil
no flags Details
File: exploitable (deleted)
2014-02-19 00:29 UTC, Diniyev Aqil
no flags Details
File: limits (deleted)
2014-02-19 00:29 UTC, Diniyev Aqil
no flags Details
File: maps (deleted)
2014-02-19 00:29 UTC, Diniyev Aqil
no flags Details
File: open_fds (deleted)
2014-02-19 00:29 UTC, Diniyev Aqil
no flags Details
File: proc_pid_status (deleted)
2014-02-19 00:29 UTC, Diniyev Aqil
no flags Details
File: var_log_messages (deleted)
2014-02-19 00:29 UTC, Diniyev Aqil
no flags Details

Description Diniyev Aqil 2014-02-19 00:28:56 UTC
Version-Release number of selected component:
gjs-1.39.3-2.fc21

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console -I /usr/share/gnome-documents/js -c 'const Main = imports.main; Main.start();'
crash_function: g_type_check_instance_cast
executable:     /usr/bin/gjs-console
kernel:         3.14.0-0.rc2.git1.1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_cast at gtype.c:4002
 #1 gtk_tree_view_column_clear_attributes at gtktreeviewcolumn.c:1855
 #2 set_attributes_from_model at libgd/gd-main-list-view.c:64
 #8 g_object_notify_by_spec_internal at gobject.c:1146
 #9 g_object_notify at gobject.c:1193
 #10 gtk_tree_view_set_model at gtktreeview.c:11388
 #11 gtk_tree_view_destroy at gtktreeview.c:2111
 #16 gtk_widget_dispose at gtkwidget.c:11312
 #18 gtk_widget_destroy at gtkwidget.c:4297
 #19 gd_main_view_rebuild at libgd/gd-main-view.c:916

Comment 1 Diniyev Aqil 2014-02-19 00:29:02 UTC
Created attachment 864861 [details]
File: backtrace

Comment 2 Diniyev Aqil 2014-02-19 00:29:05 UTC
Created attachment 864862 [details]
File: cgroup

Comment 3 Diniyev Aqil 2014-02-19 00:29:08 UTC
Created attachment 864863 [details]
File: core_backtrace

Comment 4 Diniyev Aqil 2014-02-19 00:29:13 UTC
Created attachment 864864 [details]
File: dso_list

Comment 5 Diniyev Aqil 2014-02-19 00:29:20 UTC
Created attachment 864865 [details]
File: environ

Comment 6 Diniyev Aqil 2014-02-19 00:29:22 UTC
Created attachment 864866 [details]
File: exploitable

Comment 7 Diniyev Aqil 2014-02-19 00:29:25 UTC
Created attachment 864867 [details]
File: limits

Comment 8 Diniyev Aqil 2014-02-19 00:29:28 UTC
Created attachment 864868 [details]
File: maps

Comment 9 Diniyev Aqil 2014-02-19 00:29:30 UTC
Created attachment 864869 [details]
File: open_fds

Comment 10 Diniyev Aqil 2014-02-19 00:29:32 UTC
Created attachment 864870 [details]
File: proc_pid_status

Comment 11 Diniyev Aqil 2014-02-19 00:29:35 UTC
Created attachment 864871 [details]
File: var_log_messages

Comment 12 Jaroslav Reznik 2015-03-03 15:30:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 13 Fedora End Of Life 2016-07-19 11:01:41 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.